<?php

//."

/** A PHP class to access MySQL database with convenient methods
 * in an object oriented way, and with a powerful debug system.\n
 * Licence:  LGPL \n
 * Web site: http://slaout.linux62.org/
 * @version  1.0
 * @author   S&eacute;bastien Lao&ucirc;t (slaout@linux62.org)
 */
$env = parse_ini_file(__DIR__ . '/.env');

define ("R", $env['DB_PASSWORD']); //Clave
define ("M", $env['DB_USER']); //Usuario
define ("E", $env['DB_NAME']); //Bd
define ("N", $env['DB_HOST']); //Servidor
class conn_DB {
    /** Put this variable to true if you want ALL queries to be debugged by default:
     */
    var $number_user;
    var $defaultDebug = false;
    /** INTERNAL: The start time, in miliseconds.
     */
    var $mtStart;
    /** INTERNAL: The number of executed queries.
     */
    var $nbQueries;
    /** INTERNAL: The last result ressource of a query().
     */
    var $lastResult;
    /** Connect to a MySQL database to be able to use the methods below.
     */
    var $conn = 0;
    var $url_anterior;

    function conn_DB() {
        $this->url_anterior = "";
        $this->mtStart    = $this->getMicroTime();
        $this->nbQueries  = 0;
        $this->lastResult = NULL;
        //$this->error_message(1);
        $this->conn = mysqli_connect(N, M, R) or die ($this->ERRORDB("En la Línea # ".__LINE__." SQL-Error: ".mysqli_error($this->conn), 1));// aqui mando a llamar la funcion de escribir sobre el log
		mysqli_set_charset($this->conn,"utf8");
        $this->select_DB();
        //$this->error_message(1);
    }
    //

    function select_DB($db=E) {
       mysqli_select_db($this->conn, $db) or die($this->ERRORDB("En la Linea # ".__LINE__." SQL-Error: "."En la Línea # ".__LINE__." SQL-Error: ".mysqli_error($this->conn), 2)); // aqui mando a llamar la funcion de escribir sobre el log
    }
    //
    function error_message($nivel) {
        error_reporting($nivel);
    }

    function select_array(&$datos, $query){
        $this->query($query, '');
        if (!$this->lastResult) {
            $datos = null;
        } else {
            $datos = mysqli_fetch_array($this->lastResult);
        }
    }

    function Consulta_Arreglo($query){
        $this->query($query);
        if (!$this->lastResult) {
            $datos = null;
        } else {
            $datos[] = mysqli_fetch_array($this->lastResult);
        }
        return $datos;
    }

    function select_result(&$datos, $result){
        $datos= mysqli_result($result, 0);
    }

    //********************************************************************Log BD***********************************************************************************

    function error_log_db($numero,$texto){
        $nombre_archivo = _DBLOGPATH.date("Y")."_".$this->Mes_Actual()."_".date("d").'.log';
        $ddf = fopen($nombre_archivo,'a');
        fwrite($ddf,"[".date("Y")."/".$this->Mes_Actual()."/".date("d")." ".date("h:i:s")."] $texto".$numero."\r\n");
        fclose($ddf);
    }

   //*************************************************************************************************************************************************************

    function ERRORDB($error, $num_error) {
        error_reporting(1);
        $error = str_replace("'", "", $error);
        $this->error_log_db($error, "Ha Ocurrido el Siguiente Error: ");
    }

    function result(){
        return mysqli_result($this->lastResult,0);
    }

    /** Query the database.
     * @param $query The query.
     * @param $debug If true, it output the query and the resulting table.
     * @return The result of the query, to use with fetchNextObject().
     */



    function query($query){
        $this->nbQueries++;

        $this->lastResult = mysqli_query($this->conn, $query) or die($this->ERRORDB("En la Linea # ".__LINE__." SQL-Error: ".mysqli_error($this->conn), 3));
        //or (($this->debugAndDie($query) . $fecha = date("m/j/y g:i:s", time()). $query = str_replace('"','', $query)  .   $query3 ='"[QUERY3]' . $query . '[QUERY3]"'.  $query2 = "INSERT INTO logs (vivophonenumber, tipo, fecha, notificacion, tipo_memo, proceso) VALUES ('9900005', '1', '$fecha', $query3, '1','0')" . mysql_query($query2)) or ($this->debugAndDie($query2))) ;
        //$this->debug($debug, $query, $this->lastResult);

        return $this->lastResult;
    }

    function consultar($table, $addParam="", $where="1=1", $fields="*") {
        $sql = "SELECT $fields FROM $table WHERE $where $addParam ;";
//        echo $sql.'<br />';
        return $this->query($sql);
    }

    /** Query the database in an Array.
     * @param $query The query.
     * @param $debug If true, it output the query and the resulting table.
     * @return The result of the query, to use with fetchNextObject().
     */

    function queryArray(&$datos,$query, $debug = -1) {
        $this->nbQueries++;
        $this->lastResult = mysqli_query($this->conn, $query) or die(print_r("En la Línea # ".__LINE__." SQL-Error: ".mysqli_error($this->conn), 3)) ;
        //$this->debug($debug, $query, $this->lastResult);
        if(!$this->lastResult){
            return $this->lastResult;
        } else {
            while($row = mysqli_fetch_array($this->lastResult)){
                $datos[] = $row;
            }
        }
    }

    function queryArrayAsoc(&$datos,$query, $debug = -1) {
        $this->nbQueries++;
        $this->lastResult = mysqli_query($this->conn, $query) or die(print_r("En la Línea # ".__LINE__." SQL-Error: ".mysqli_error($this->conn), 3)) ;
        $this->debug($debug, $query, $this->lastResult);
        if(!$this->lastResult){
            return $this->lastResult;
        } else {
            while($row = mysqli_fetch_assoc($this->lastResult)){
                $datos[] = $row;
            }
        }
    }

    function fetch_array() {
        return mysqli_fetch_array($this->lastResult);
    }

    function fetch_assoc() {
        return mysqli_fetch_assoc($this->lastResult);
    }

    function queryreadreg(&$datos, $campos,$tabla, $debug=-1)
    {
        $this->nbQueries++;
        $query= "select $campos from $tabla";
        $this->lastResult = mysqli_query($this->conn, $query);
        $this->debug($debug, $query, $this->lastResult);

        if($this->lastResult >=1){
            while($row = mysqli_fetch_row($this->lastResult)){
                $res = "";
                for($i=0; $i<count($row); $i++){
                    $res.= $row[$i];
                    if($i+1 <count($row) ){
                        $res.= "^";
                    }
                }

                $res = rtrim($res);
                $datos[] = $res;
                // print_r ($res);
            }
        }else{
            return FALSE;
            // echo "npi";
        }
    }



    function data_seek($param) {

        mysqli_data_seek($this->lastResult, $param);

    }



    function queryDB($dataBase, $query, $debug = -1){

        $this->nbQueries++;

        $this->lastResult = mysqli_db_query($dataBase,$query) or die($this->ERRORDB("En la Linea # ".__LINE__." SQL-Error: ".mysqli_error($this->conn), 3));

        //or (($this->debugAndDie($query) . $fecha = date("m/j/y g:i:s", time()). $query = str_replace('"','', $query)  .   $query3 ='"[QUERY3]' . $query . '[QUERY3]"'.  $query2 = "INSERT INTO logs (vivophonenumber, tipo, fecha, notificacion, tipo_memo, proceso) VALUES ('9900005', '1', '$fecha', $query3, '1','0')" . mysql_query($query2)) or ($this->debugAndDie($query2))) ;

        //$this->debug($debug, $query, $this->lastResult);



        return $this->lastResult;

    }



    /** Do the same as query() but do not return nor store result.\n

     * Should be used for INSERT, UPDATE, DELETE...

     * @param $query The query.

     * @param $debug If true, it output the query and the resulting table.

     */



    function execute($query){

        //$this->nbQueries++;

        mysqli_query($this->conn, $query) or die($this->ERRORDB("En la Linea# ".__LINE__." SQL-Error: ".mysqli_error($this->conn), 3)); //or $this->debugAndDie($query);

        //  $LOG->muestra_error($LOG,"vivo_data","192.168.1.122","adminSQL", "vppass06", $query , 'Acceso BD');

        //$this->debug($debug, $query);

    }

    /** Convenient method for mysql_fetch_object().

     * @param $result The ressource returned by query(). If NULL, the last result returned by query() will be used.

     * @return An object representing a data row.

     */



    function fetchNextObject($result = NULL)
    {
        if ($result == NULL)
            $result = $this->lastResult;

        if ($result == NULL || mysqli_num_rows($result) < 1)
            return NULL;
        else
            return mysqli_fetch_object($result);
    }

    /** Get the number of rows of a query.

     * @param $result The ressource returned by query(). If NULL, the last result returned by query() will be used.

     * @return The number of rows of the query (0 or more).

     */



    function numRows($result = NULL) {
        if ($result == NULL) {
            return 0;
        } else {
            return mysqli_num_rows($this->lastResult);
        }
    }

    /** Get the result of the query as an object. The query should return a unique row.\n
     * Note: no need to add "LIMIT 1" at the end of your query because
     * the method will add that (for optimisation purpose).
     * @param $query The query.
     * @param $debug If true, it output the query and the resulting row.
     * @return An object representing a data row (or NULL if result is empty).
     */

    function queryUniqueObject($query, $debug = -1)
    {
        $query = "$query LIMIT 1";

        $this->nbQueries++;
        $result = mysqli_query($this->conn, $query) or die($this->ERRORDB("En la Linea # ".__LINE__." SQL-Error: ".mysqli_error($this->conn), 3)); //or $this->debugAndDie($query);

        $this->debug($debug, $query, $result);

        return mysqli_fetch_object($result);
    }

    /** Get the result of the query as value. The query should return a unique cell.\n
     * Note: no need to add "LIMIT 1" at the end of your query because
     * the method will add that (for optimisation purpose).
     * @param $query The query.
     * @param $debug If true, it output the query and the resulting value.
     * @return A value representing a data cell (or NULL if result is empty).
     */

    function queryUniqueValue($query, $debug = -1)
    {
        $query = "$query LIMIT 1";

        $this->nbQueries++;
        $result = mysqli_query($this->conn, $query) or die($this->ERRORDB("En la Linea # ".__LINE__." SQL-Error: ".mysqli_error($this->conn), 3)); // or $this->debugAndDie($query);
        $line = mysqli_fetch_row($result);

        $this->debug($debug, $query, $result);

        return $line[0];
    }

    /** Get the maximum value of a column in a table, with a condition.
     * @param $column The column where to compute the maximum.
     * @param $table The table where to compute the maximum.
     * @param $where The condition before to compute the maximum.
     * @return The maximum value (or NULL if result is empty).
     */

    function maxOf($column, $table, $where)
    {
        return $this->queryUniqueValue("SELECT MAX(`$column`) FROM `$table` WHERE $where");
    }

    /** Get the maximum value of a column in a table.

     * @param $column The column where to compute the maximum.

     * @param $table The table where to compute the maximum.

     * @return The maximum value (or NULL if result is empty).

     */

    function maxOfAll($column, $table)

    {

        return $this->queryUniqueValue("SELECT MAX(`$column`) FROM `$table`");

    }

    /** Get the count of rows in a table, with a condition.

     * @param $table The table where to compute the number of rows.

     * @param $where The condition before to compute the number or rows.

     * @return The number of rows (0 or more).

     */

    function countOf($table, $where)

    {

        return $this->queryUniqueValue("SELECT COUNT(*) FROM `$table` WHERE $where");

    }

    /** Get the count of rows in a table.

     * @param $table The table where to compute the number of rows.

     * @return The number of rows (0 or more).

     */

    function countOfAll($table)

    {

        return $this->queryUniqueValue("SELECT COUNT(*) FROM `$table`");

    }

    /** Internal function to debug when MySQL encountered an error,

     * even if debug is set to Off.

     * @param $query The SQL query to echo before diying.

     */

    function debugAndDie($query)

    {

        $this->debugQuery($query, "Error");

        die("<p style=\"margin: 2px;\">"."En la Linea # ".__LINE__." SQL-Error: ".mysql_error()."</p></div>");

    }

    /** Internal function to debug a MySQL query.\n

     * Show the query and output the resulting table if not NULL.

     * @param $debug The parameter passed to query() functions. Can be boolean or -1 (default).

     * @param $query The SQL query to debug.

     * @param $result The resulting table of the query, if available.

     */

    function debug($debug, $query, $result = NULL)
    {

    }

    /** Internal function to output a query for debug purpose.\n

     * Should be followed by a call to debugResult() or an echo of "</div>".

     * @param $query The SQL query to debug.

     * @param $reason The reason why this function is called: "Default Debug", "Debug" or "Error".

     */

    function debugQuery($query, $reason = "Debug") {

        $color = ($reason == "Error" ? "red" : "orange");

        echo "<div style=\"border: solid $color 1px; margin: 2px;\">".

            "<p style=\"margin: 0 0 2px 0; padding: 0; background-color: #DDF;\">".

            "<strong style=\"padding: 0 3px; background-color: $color; color: white;\">$reason:</strong> ".

            "<span style=\"font-family: monospace;\">".htmlentities($query)."</span></p>";

    }

    /** Internal function to output a table representing the result of a query, for debug purpose.\n

     * Should be preceded by a call to debugQuery().

     * @param $result The resulting table of the query.

     */

    function debugResult($result){

        echo "<table border=\"1\" style=\"margin: 2px;\">".

            "<thead style=\"font-size: 80%\">";

        $numFields = mysqli_num_fields($result);

        // BEGIN HEADER

        $tables    = array();

        $nbTables  = -1;

        $lastTable = "";

        $fields    = array();

        $nbFields  = -1;

        while ($column = mysqli_fetch_field($result)) {

            if ($column->table != $lastTable) {

                $nbTables++;

                $tables[$nbTables] = array("name" => $column->table, "count" => 1);

            } else

                $tables[$nbTables]["count"]++;

            $lastTable = $column->table;

            $nbFields++;

            $fields[$nbFields] = $column->name;

        }

        for ($i = 0; $i <= $nbTables; $i++)

            echo "<th colspan=".$tables[$i]["count"].">".$tables[$i]["name"]."</th>";

        echo "</thead>";

        echo "<thead style=\"font-size: 80%\">";

        for ($i = 0; $i <= $nbFields; $i++)

            echo "<th>".$fields[$i]."</th>";

        echo "</thead>";

        // END HEADER

        while ($row = mysql_fetch_array($result)) {

            echo "<tr>";

            for ($i = 0; $i < $numFields; $i++)

                echo "<td>".htmlentities($row[$i])."</td>";

            echo "</tr>";

        }

        echo "</table></div>";

        $this->resetFetch($result);

    }

    /** Get how many time the script took from the begin of this object.

     * @return The script execution time in seconds since the

     * creation of this object.

     */

    function getExecTime()

    {

        return round(($this->getMicroTime() - $this->mtStart) * 1000) / 1000;

    }

    /** Get the number of queries executed from the begin of this object.

     * @return The number of queries executed on the database server since the

     * creation of this object.

     */

    function getQueriesCount()

    {

        return $this->nbQueries;

    }

    /** Go back to the first element of the result line.

     * @param $result The resssource returned by a query() function.

     */

    function resetFetch($result)

    {

        if (mysql_num_rows($result) > 0)

            mysql_data_seek($result, 0);

    }

    /** Get the id of the very last inserted row.

     * @return The id of the very last inserted row (in any table).

     */

    function lastInsertedId()

    {

        return mysqli_insert_id($this->conn);

    }

    /** Close the connexion with the database server.\n

     * It's usually unneeded since PHP do it automatically at script end.

     */

    function close_DB()
    {
        mysqli_close($this->conn);
    }



    /** Internal method to get the current time.

     * @return The current time in seconds with microseconds (in float format).

     */

    function getMicroTime()

    {

        list($msec, $sec) = explode(' ', microtime());

        return floor($sec / 1000) + $msec;

    }



    /*   function vpf_ListCountries($ComboName="vpv_Country", $ID_PreSelec=NULL, $Parametros=NULL, $Valor="ID", $Palabra="Select") {

           $SQL_Countries="SELECT *

                           FROM countryList

                           ORDER BY Name_Country";

           //echo $SQL_Countries;

           $Resul_Countries = $this->query($SQL_Countries);



           //echo count($Resul_Countries)."<br>";

           echo "<select name='$ComboName' $Parametros>"."\n";

           if($ID_PreSelec==NULL) {

               echo "<option value='' selected='selected'>-- $Palabra --</option>"."\n";

           } else {

               echo "<option value=''>-- $Palabra --</option>"."\n";

           }

           while($Country = mysql_fetch_assoc($Resul_Countries)) {

               if($Valor=="ID") {

                   $valor_opt=$Country['ID_Country'];

               } elseif($Valor=="Name") {

                   $valor_opt=addslashes($Country['Name_Country']);

               } else {

                   $valor_opt = $Country['ISO'];

               }



               if($ID_PreSelec==$valor_opt) {

                   echo "<option value='".$valor_opt."' selected='selected'>".$Country['Name_Country']."</option>"."\n";

               } else {

                   echo "<option value='".$valor_opt."'>".$Country['Name_Country']."</option>"."\n";

               }

           }

           echo "</select>"."\n";

       }*/



    function Mes_Actual() {

        $this->mes=date("F");

        if ($this->mes=="January") $this->mes="Ene";

        if ($this->mes=="February") $this->mes="Feb";

        if ($this->mes=="March") $this->mes="Mar";

        if ($this->mes=="April") $this->mes="Abr";

        if ($this->mes=="May") $this->mes="May";

        if ($this->mes=="June") $this->mes="Jun";

        if ($this->mes=="July") $this->mes="Jul";

        if ($this->mes=="August") $this->mes="Ago";

        if ($this->mes=="September") $this->mes="Sept";

        if ($this->mes=="October") $this->mes="Oct";

        if ($this->mes=="November") $this->mes="Nov";

        if ($this->mes=="December") $this->mes="Dic";

        return $this->mes;

    }



    /** FUNCION: writeLog_bd($contenido, $tipo, $vivonumber, $modo)

     **************************************************************************

     * CONCEPTO : Escritura de Logs de Seguimiento de Procesos en Base de Datos

     **************************************************************************

     * PARAMETROS: $contenido, $tipo, $vivonumber, $modo

     **************************************************************************

     * RESPUESTA:

     **************************************************************************

     * Creado el : 03/12/2007

     * �ltima Modificaci�n:

     **************************************************************************

     * Creado por: Luis Fraino

     * �ltima Modificaci�n: 03/12/2007

     * ************************************************************************

     */

    function writeLog_bd($contenido, $tipo, $vivonumber, $modo){

        $vpv_month = date("M");

        $vpv_day = date("d");

        $vpv_year = date("Y");

        $vpv_time = "  ".date("H").":".date("i").":".date("s");

        $vpv_data = " [".$vpv_day."/".$vpv_month."/".$vpv_year.$vpv_time."] ".$contenido." \n";

        $vpv_dia = date('Y-m-d');

        $vpv_hora = date('H:i:s');

        $vpv_fecha = $vpv_dia." ".$vpv_hora;

        $this->query("INSERT INTO vivo_logs (vivophonenumber, tipo, fecha, notificacion, tipo_memo) VALUES (".$vivonumber.", '$tipo', '$vpv_fecha', '$vpv_data', '$modo')");

    }



    function Sql_Script_Insert($bajaprioridad, $ignorar, $nombretabla, $fieldList) {
        $query = "INSERT ";
        if($bajaprioridad){
            $query .= "LOW_PRIORITY ";
        }
        if($ignorar){
            $query .= "IGNORE ";
        }
        $query .= "INTO $nombretabla (";
        $query .= implode(",", array_keys($fieldList));
        $query .= ") VALUES (";
        $query .= implode(",", array_values($fieldList));
        $query .= ")";
        return $query;
    }



    function Sql_Script_Update($nombretabla, $campos, $valores, $Wh = null) {
        $query = "Update ";
        $query .= "$nombretabla Set ";
        $num = count($campos);
        for($i=0;$i < $num;$i++){
            if(isset($valores[$i])) {
                $valor=addslashes($valores[$i]);
            } else {
                $valor='';
            }
            $query .= "$campos[$i]='$valor'";
            if($i < $num-1){
                $query .= ", ";
            }
        }
        $query .= ' Where '.$Wh;
        return $query;
    }



    function Script_Insert($bajaprioridad, $ignorar, $nombretabla, $campos, $valores) {
        $query = "INSERT ";
        if($bajaprioridad){
            $query .= "LOW_PRIORITY ";
        }
        if($ignorar){
            $query .= "IGNORE ";
        }
        $query .= "INTO $nombretabla SET ";
        $num = count($campos);
        for($i=0;$i < $num;$i++){
            if(isset($valores[$i])) {
                $valor=addslashes($valores[$i]);
            } else {
                $valor='';
            }
            $query .= "$campos[$i]='$valor'";
            if($i < $num-1){
                $query .= ", ";
            }
        }
        return $query;
    }



    function Sql_Script(&$query, $bajaprioridad, $ignorar, $nombretabla, $campos, $valores) {

        $query = "INSERT ";

        if($bajaprioridad){

            $query .= "LOW_PRIORITY ";

        }

        if($ignorar){

            $query .= "IGNORE ";

        }

        $query .= "INTO $nombretabla SET ";

        $num = count($campos);

        for($i=0;$i < $num;$i++){

            if(isset($valores[$i])) {

                $valor=addslashes($valores[$i]);

            } else {

                $valor='';

            }

            $query .= "$campos[$i]='$valor'";

            if($i < $num-1){

                $query .= ", ";

            }

        }



    }



    function vivo_connect() {

        $this->mtStart    = $this->getMicroTime();

        $this->nbQueries  = 0;

        $this->lastResult = NULL;

        $this->error_message(0);

        mysql_connect("158.85.57.229", "lfraino", "201fr41n07", 65536) or die ($this->ERRORDB("En la L�nea # ".__LINE__." SQL-Error: ".mysql_error(), 1));// aqui mando a llamar la funcion de escribir sobre el log

        $this->error_message(1);

    }



    function UsarSP ($TipoSP, $NombreSP, $ParametrosSP) {

        if($TipoSP==1) {

            $this->execute("CALL $NombreSP($ParametrosSP)");

            return true;

        } else {

//            echo "SELECT $NombreSP($ParametrosSP)";

            return $this->query("SELECT $NombreSP($ParametrosSP)");

        }

    }



    function insertar ($table, $values, $fields='', $addParam='', $dupKey="") {

        if($fields!='') {

            $fields = "($fields)";

        }



        $onDupKey = ($dupKey!='')?"ON DUPLICATE KEY UPDATE ".$dupKey:'';



        $sql = "INSERT $addParam INTO $table $fields VALUES ($values) $onDupKey;";

//        echo $sql."<br>";

        return $this->query($sql);

    }



    function modificar ($tabla, $fields, $values, $where) {

        if(count($fields) != count($values)) {

            return false;

        }

        $par = '';

        for ($i=0; $i<count($fields); $i++) {

            $par .= "$fields[$i]='$values[$i]'";

            if($i<count($fields)-1)

                $par .= ", ";

        }

        $SQL = "UPDATE $tabla SET $par WHERE $where;";

//        echo $SQL."<br />";

        return $this->query($SQL);

    }

} // class DB ?>